

/* HTML Nav Styles */
/* HTML Nav Styles */
/* HTML Nav Styles */
nav menuitem {
   position:relative;
   display:block;
   opacity:0;
   cursor:pointer;
}

nav menuitem > menu {
   position: absolute;
   pointer-events:none;
}
nav > menu {
  display:flex;
}

nav > menu > menuitem {
  pointer-events: all;
  opacity:1;
}
menu menuitem a {
  white-space:nowrap;
  display:block;
}
a.a_menuitem {
  cursor:pointer;
  text-decoration: none;
  font-family: Verdana, Arial, sans-serif;
}

menuitem:hover > menu {
   pointer-events:initial;
}
menuitem:hover > menu > menuitem,
menu:hover > menuitem{
   opacity:1;
}
nav > menu > menuitem menuitem menu {
   transform:translateX(100%);
   top:0; right:0;
}
/* User Styles Below Not Required */
/* User Styles Below Not Required */
/* User Styles Below Not Required */

nav {
   margin-top: 4px;
   margin-left: 4px;
}

nav a {
   background:#75F;
   color:#FFF;
   min-width:80px;
   transition: background 0.5s, color 0.5s, transform 0.5s;
   margin:0px 3px 3px 0px;
   padding:5px 5px;
   box-sizing:border-box;
   border-radius:3px;
   box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.5);
   position:relative;
}

nav a:hover:before {
   top:0;
   left:0;
   position:absolute;
   background:rgba(0, 0, 0, 0.2);
   width:100%;
   height:100%;
}

nav > menu > menuitem > a + menu:after{
   position:absolute;
   border:2px solid transparent;
   border-top: 5px solid white;
   left:6px;
   top: -20px;
}
nav menuitem > menu > menuitem > a + menu:after{
   position:absolute;
   border:2px solid transparent;
   border-left: 2px solid white;
   top: 5px;
   left:-90px;
   transition: opacity 0.6, transform 0s;
}

nav > menu > menuitem > menu > menuitem{
   transition: transform 0.6s, opacity 0.6s;
   transform:translateY(150%);
   opacity:0;
}
nav > menu > menuitem:hover > menu > menuitem,
nav > menu > menuitem.hover > menu > menuitem{
   transform:translateY(0%);
   opacity: 1;
}

menuitem > menu > menuitem > menu > menuitem{
   transition: transform 0.6s, opacity 0.6s;
   transform:translateX(195px) translateY(0%);
   opacity: 0;
}
menuitem > menu > menuitem:hover > menu > menuitem,
menuitem > menu > menuitem.hover > menu > menuitem{
   transform:translateX(0) translateY(0%);
   opacity: 1;
}
